%define name	perl-Text-German
%define version 0.06
%define release %mkrel 1

Summary:	Text-German module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text/Text-German-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
Text-German module for perl

%prep
%setup -q -n Text-German-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%{__make} PREFIX=%{buildroot}/%{_prefix} install

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Text/German.pod
%{perl_vendorlib}/Text/German
%{perl_vendorlib}/Text/German.pm
%{_mandir}/man3*/*

%changelog
* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.06-1mdk
- 0.06
- Make rpmbuildable

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.03-2mdk
- fix deps

* Thu Jun 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.03-1mdk
- initial cooker contrib.
